AntiFeatures:
  - NonFreeNet
Categories:
  - Graphics
  - Reading
License: MIT
SourceCode: https://github.com/gsioteam/kinoko
IssueTracker: https://github.com/gsioteam/kinoko/issues

AutoName: Kinoko

RepoType: git
Repo: https://github.com/gsioteam/kinoko.git

Builds:
  - versionName: 2.0.2
    versionCode: 44
    commit: v2.0.2
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.5
    rm:
      - ios
      - plugins/glib/ios
      - plugins/glib/example/ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21e

  - versionName: 2.0.3
    versionCode: 45
    commit: 16d4e6e17b27f4d7a684998850a1b322d4ac1ded
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.0.5
    rm:
      - ios
      - plugins/glib/ios
      - plugins/glib/example/ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21e

  - versionName: 2.0.4
    versionCode: 46
    commit: cd0746643e82152214f1012172ec6a89f8498de6
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios
      - plugins/glib/ios
      - plugins/glib/example/ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21e

  - versionName: 2.1.0
    versionCode: 47
    commit: 1687de956c3da646236700ab4580b719940eb59a
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - flutter@2.2.3
    rm:
      - ios
      - plugins/glib/ios
      - plugins/glib/example/ios
    build:
      - $$flutter$$/bin/flutter config --no-analytics
      - $$flutter$$/bin/flutter build apk
    ndk: r21e

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags v\d+\.\d+(\.\d+)?
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2.1.0
CurrentVersionCode: 47
